ParamnesticCure 1.0.1

A Compatibility Patch Between Loggers (Ex. CoreProtect) & Creative Limiters (Ex. RestrictedCreative)

  1. Pheotis
    Native Minecraft Version:
    1.15
    Tested Minecraft Versions:
    • 1.14
    • 1.15
    • 1.16
    Source Code:
    https://github.com/the-lockedcraft-legacy-organization/ParamnesticCure
    Contributors:
    Thorinwasher, Frostalf, & Pheotis
    By design, most block logging plugins are incompatible with creative limiting plugins.

    This plugin is a patch to fix that!
    Click here for a more technical explanation of the problem and its solution.

    Line2.png

    Supported Plugins:
    Block Loggers:
    - CoreProtect by @Intelli
    Creative Limiters:
    - RestrictedCreative by @Prunt
    .
    Support for Other Programs can be added via a Pull Request.

    Features:
    1. Stores potential block conflicts in a database
    2. Intercepts commands sent to block-logger plugins.
    3. Corrects any incompatibilities that would arise from that cmd.
    4. Executes the intercepted command.

    Installation and Usage:
    Simply drag and drop the plugin into the server instance running your logger and limiter.
    By default, it will be configured for SQLite, CoreProtect, and RestrictedCreative

    A more advanced guide is available at this link.

    Notes
    As this was created for a temporary event, support beyond 1.17 is not guaranteed!
    Should this resource break in a future update, pull requests are welcome!